Page MenuHomePhabricator

Newcomer tasks: suggested edits initiation and overlays
Open, Needs TriagePublic

Description

This task is about adding the actual suggested edits module to the homepage, and the first things that happen after the user interacts with. Other tasks exist for the module itself, the way the homepage changes when it is initiated. This task may be too large, and we should make sub-tasks if necessary.

Note on platforms: all these specifications will need to apply to both desktop and mobile. During the time that explicit mockups for mobile are not available, engineers should use their judgment to build mobile versions. Those initial builds can be modified later as the mobile designs are finalized.

Initiating suggested edits
Current mockup

  • Replace the “userpage” submodule of the start module with a new “suggested edits” submodule.
    • The title of the module should be “Start editing”, and it should have an editing pencil icon.
    • The text of the module is personalized according to the user’s response to the welcome survey’s first question about why they created their account. Here are the rules:
      • “To fix a typo or error in a Wikipedia article” -> “Find articles that need small fixes!”
      • “To add a photo or image to a Wikipedia article” -> “Before adding an image, try learning with some easier edits!”
      • “To create a new Wikipedia article” -> “Before creating a new article, try learning with some easier edits!”
      • Any other response, or no response -> “Wikipedia is written by people like you. Even small edits make a difference.”
    • The button reads “See suggested edits”.
  • When the user clicks “See suggested edits”, the first overlay of the suggested edits module appears.
  • Note that the suggested edits module is not "initiated" until the user completes the difficulty overlay that comes up once the call-to-action is clicked in the start module. Once they complete the overlay, the homepage changes permanently for that user. See T232420 for this next step.

NOTE: the overlay specifications below have been superseded by the specifications in T235723. That's because we split the difficulty overlay into two separate overlays.

Difficulty overlay
Current mockup

  • If the topic overlay exists, the difficulty overlay comes after the topic overlay. If the topic overlay does not exist, the difficulty overlay is the only overlay.
  • After initiating suggested edits by clicking the call-to-action in the start module, the difficulty overlay appears on top of the newcomer homepage.
  • This overlay contains static written information and imagery about different kinds of suggested edits.
    • Users who gave certain responses to the “task” question from the welcome survey will have content in the overlay according to their response (to be written). Users who gave other responses or do not have a response will have a default set of content in the overlay.
    • Certain parts of the overlay will be the same for all users.
  • The user has two options:
    • “Go back”: if the topic overlay does not exist, this button closes the overlay and returns the user to their homepage exactly the way it was before they clicked the call-to-action in the start module. If the topic overlay exists, it returns to the user to the topic overlay, where the user can change their topic selections.
    • “Continue”: this closes the overlay and allows the user to see their suggested edits module.

Below is a list of non-engineering items that need to be complete before this task is complete, but that do not block engineering:

  • Add mobile designs.
  • Finalize which task types are listed as "Easy", "Medium", "Hard" in the copy.
  • Finalize copy for call-to-action and overlay.

Event Timeline

This is ready for development.

MMiller_WMF updated the task description. (Show Details)Sep 10 2019, 12:19 AM
MMiller_WMF renamed this task from Newcomer tasks: suggested edits initiation from homepage to Newcomer tasks: suggested edits initiation and overlays.Sep 10 2019, 12:25 AM
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF updated the task description. (Show Details)Sep 10 2019, 12:28 AM
MMiller_WMF updated the task description. (Show Details)Sep 10 2019, 6:14 PM
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF updated the task description. (Show Details)Sep 13 2019, 8:49 PM

Change 536719 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] [WIP] Homepage: startediting placeholder module for suggested edits

https://gerrit.wikimedia.org/r/536719

Change 538690 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] GrowthExperiments: Enable suggested edits feature flag on beta

https://gerrit.wikimedia.org/r/538690

Change 538691 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] GrowthExperiments: Ensure suggested edits feature is off in prod

https://gerrit.wikimedia.org/r/538691

Change 538690 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable suggested edits feature flag on beta

https://gerrit.wikimedia.org/r/538690

Change 538691 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Ensure suggested edits feature is off in prod

https://gerrit.wikimedia.org/r/538691

Mentioned in SAL (#wikimedia-operations) [2019-09-23T21:32:21Z] <catrope@deploy1001> Synchronized wmf-config/VariantSettings.php: Syncing no-op change for T232419 (duration: 00m 57s)

MMiller_WMF updated the task description. (Show Details)Tue, Sep 24, 9:57 PM

Change 538352 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Add JS and dialog for startediting module

https://gerrit.wikimedia.org/r/538352

Change 536719 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Homepage: Add startediting placeholder module for suggested edits

https://gerrit.wikimedia.org/r/536719

Change 538352 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add JS and dialog for startediting module

https://gerrit.wikimedia.org/r/538352

@Catrope - according to the specs the text for the selected Welcome survey option - "To add or change information to a Wikipedia article" should be “Wikipedia is written by people like you. Even small edits make a difference.” (not not be "Learn to edit articles with some easy edits first!").

Etonkovidova added a comment.EditedTue, Oct 8, 7:15 PM

Since there are some updates to overall treatment/workflow of the difficulty overlay and topic overaly, @RHo, @MMiller_WMF - can you review my questions?

(1)

This overlay contains static written information and imagery about different kinds of suggested edits.
Users who gave certain responses to the “task” question from the welcome survey will have content in the overlay according to their response (to be written). Users who gave other responses or do not have a response will have a default set of content in the overlay.
Certain parts of the overlay will be the same for all users.

  • The Welcome survey does not have 'task' questions anymore.
  • If the requirements are still "to be written" - should that spec be in this task?

If those specs are removed (and @Catrope submitted a patch for correcting the mismatch mentioned in my above comment), then this task would be just for PM/Design Review.

(2) The mockup for the difficulty overlay has two buttons with "Get suggestions" and "Back". The specs mentions "Continue" and "Go back". The current implementation has buttons - "Get suggestions" and "Cancel". Please confirm that the implemented labels are ok.

Change 541631 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] StartEditing: Remove special message for add-change response

https://gerrit.wikimedia.org/r/541631

Change 541631 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] StartEditing: Remove special message for add-change response

https://gerrit.wikimedia.org/r/541631

Welcome survey option - Why did you create your account today?Start editing module text
no selection; To add or change information to a Wikipedia article; I'm participating in a program, class, or event; To read Wikipedia; Other
To fix a typo or error in a Wikipedia article
To add a photo or image to a Wikipedia article
To create a new Wikipedia article; To add or change information to a Wikipedia article

In the Difficulty overlay current mockup, I read "making <lang> Wikipedia better". Can't we have "making <Wiki name> better" to simplify deployments on non-Wikipedias?

RHo added a comment.Mon, Oct 14, 12:15 PM

In the Difficulty overlay current mockup, I read "making <lang> Wikipedia better". Can't we have "making <Wiki name> better" to simplify deployments on non-Wikipedias?

Hi @Trizek-WMF, that's a good thought. I think we are still noodling with the final copy on this, so have added as a comment on the copy doc linked on ticket T233762

RHo added a comment.Mon, Oct 14, 12:28 PM

Hi, please note there's a couple of differences with expected from final copy in the copy doc (I've added an "expected" column):

Welcome survey option - Why did you create your account today?Start editing module text (Actual)Expected text
no selection; To add or change information to a Wikipedia article; I'm participating in a program, class, or event; To read Wikipedia; Other
Help add to the world's knowledge with some easy fixes on Wikipedia articles.
To add or change information to a Wikipedia article (even though the copy is the same as above right now, we may want different text in future)
Help add to the world's knowledge with some easy fixes on Wikipedia articles.
To fix a typo or error in a Wikipedia article
Start making small fixes now with these easy suggestions!
To add a photo or image to a Wikipedia article
As expected
To create a new Wikipedia article; To add or change information to a Wikipedia article
As expected
MMiller_WMF updated the task description. (Show Details)Thu, Oct 17, 1:01 AM

This task should now only be used for working on and testing the submodule inside the start module. All overlay content has been re-specified in this subtask because we split the difficulty overlay into two separate overlays: T235723: Newcomer tasks: intro and difficulty overlays